# IceGrid::RegistryObserver

## Overview

### interface RegistryObserver

This interface allows applications to monitor changes the state of the registry.

## Operation Index

registryInit
  The `registryInit` operation is called after registration of an observer to indicate the state of the registries.
registryUp
  The `nodeUp` operation is called to notify an observer that a node came up.
registryDown
  The `nodeDown` operation is called to notify an observer that a node went down.

## Operations

### void registryInit(RegistryInfoSeq registries)

The `registryInit` operation is called after registration of an observer to indicate the state of the registries.

#### Parameters

registries
  The current state of the registries.

### void registryUp(RegistryInfo node)

The `nodeUp` operation is called to notify an observer that a node came up.

#### Parameters

node
  The node state.

### void registryDown(string name)

The `nodeDown` operation is called to notify an observer that a node went down.

#### Parameters

name
  The node name.